> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Price

> Create an immutable one-time or recurring price idempotently.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/payments/prices
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/payments/prices:
    post:
      tags:
        - customerPayments
      summary: Create Price
      description: Create an immutable one-time or recurring price idempotently.
      operationId: customerPayments.createPrice
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: environment
          in: query
          required: false
          schema:
            type: string
            pattern: ^[a-z][a-z0-9-]{0,38}$
          description: >-
            Environment slug. Defaults to "production"; unknown environment
            slugs return 404.
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                productId:
                  type: string
                  format: uuid
                currency:
                  type: string
                  pattern: ^[A-Za-z]{3}$
                unitAmount:
                  type: integer
                  minimum: 1
                mode:
                  type: string
                  enum:
                    - one_time
                    - subscription
                interval:
                  type: string
                  enum:
                    - day
                    - week
                    - month
                    - year
                intervalCount:
                  type: integer
                  minimum: 1
                  maximum: 365
                metadata:
                  type: object
                  description: At most 20 application-defined string entries.
                  additionalProperties:
                    type: string
                    maxLength: 500
              required:
                - productId
                - currency
                - unitAmount
                - mode
              additionalProperties: false
      responses:
        '201':
          description: Created price.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  productId:
                    type: string
                    format: uuid
                  currency:
                    type: string
                    pattern: ^[a-z]{3}$
                  unitAmount:
                    type: integer
                    minimum: 1
                  mode:
                    type: string
                    enum:
                      - one_time
                      - subscription
                  interval:
                    type:
                      - string
                      - 'null'
                    enum:
                      - day
                      - week
                      - month
                      - year
                      - null
                  intervalCount:
                    type:
                      - integer
                      - 'null'
                    minimum: 1
                    maximum: 365
                  active:
                    type: boolean
                  metadata:
                    type: object
                    description: At most 20 application-defined string entries.
                    additionalProperties:
                      type: string
                      maxLength: 500
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - productId
                  - currency
                  - unitAmount
                  - mode
                  - interval
                  - intervalCount
                  - active
                  - metadata
                  - createdAt
        '402':
          description: Organization billing is not active.
        '404':
          description: Project or payment resource not found.
        '409':
          description: Duplicate idempotency key or conflicting resource state.
        '422':
          description: Invalid payment request.
        '502':
          description: The payment processor rejected the request.
        '503':
          description: The payment processor is temporarily unavailable.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````